#topbutton {
  /* ▼ボタンの表示位置を画面の右下に固定 */
  position: fixed; /* ←表示場所を固定 */
  bottom: 10px; /* ←下端からの距離 */
  right: 30px; /* ←右端からの距離 */

  /* ▼最初は非表示にしておく */
  /* display: none; */

  /* ▼配色・配置・文字の装飾など */
  background-color: #2525aa; /* ←背景色 */

  border-radius: 24px; /* ←角丸の半径 */
  text-align: center; /* ←文字の位置 */
  font-size: 110%; /* ←文字サイズ */
  font-weight: bold; /* ←文字の太さ */
  margin: 0px; /* ←外側の余白 */
  padding: 10px; /* ←内側の余白 */
  z-index: 10000;
  opacity: 0;
}
#topbutton a {
  /* ▼リンクの装飾 */
  color: white; /* ←文字色 */
  text-decoration: none; /* ←下線なし */
}
#topbutton a:hover {
  /* ▼マウスが載ったときの装飾 */
  color: yellow; /* ←文字色 */
  text-decoration: underline; /* ←下線あり */
}
html {
  touch-action: manipulation;
}
h1{
  margin-bottom: 80px;
}
h2 {
  width: 95%;
  margin: 10px auto;
  padding: 1rem;
  text-align: center;
  border: dotted 1px #333;
  border-radius: 7px;
}
main h3{
  padding: .5rem 1rem;
  margin-left: 1rem;
  border-left: 5px solid red;
}
.sen{
  border-bottom: 1px dotted #333;
  width: 100%;
  margin: 100px auto;
}
section {
  width: 97%;
  max-width: 800px;
  margin: 0 auto 150px auto;
  padding: 2rem;
  counter-reset: number 0; /*ポイント*/
  opacity: 0;
}
section.show{
  opacity: 1;
}
section p{
  font-size: 1.3rem;
}
section .hint{
  padding: .5rem 1rem;
  margin: 20px 0;
  background: #fff;
  border: 1px solid #2525aa;
  color: #2525aa;
  font-weight: bold;
  border-radius: 6px;
}
section .hint:hover{
  background: #2525aa;
  color: #fff;
}
section .hint:active{
  transform: scale(.9);
}
section .choice{
  padding: 1rem;
  border: 2px dotted #333;
  border-radius: 7px;
  opacity: 0;
  transition: .5s ease;
}
section .choice.active{
  opacity: 1;
}
.choice span{
  padding: 1rem;
}
.wrapper{
  width: 95%;
  margin: 0 auto;
}
.wrapper .link{
  padding: 1rem 2rem;
  border: 1px solid blue;
  border-radius: 7px;
  color: blue;
  transition: .3s ease;
}
.link:hover{
  background: rgb(4, 4, 206);
  color: #fff;
}
section ol {
  position: relative;
  counter-reset: number-ol; /*ポイント*/
  padding: 5px;
  margin: 0 auto;
}
ol li {
  position: relative;
  list-style: none;
  margin-bottom: 7px;
  padding-left: 30px;
  font-size: 1.4rem;
}
section ol li:before {
  position: absolute;
  counter-increment: number-ol; /*ポイント*/
  content: counter(number-ol); /*ポイント*/
  background: orange;
  color: #fff;
  border-radius: 50%;
  left: -15px;
  width: 1.5em;
  height: 1.5em;
  text-align: center;
  text-shadow: 1px 1px 1px #666;
}


.red {
  color: red;
  font-weight: bold;
}
.blue {
  color: rgb(9, 9, 203);
  font-weight: bold;
}


@media (max-width: 480px) {
  section ol {
    padding-left: 30px;
  }
}
